## asic0x 1.0.1

=== Makefile ===
KERNEL_VERSION ?= $(shell uname -r)
MDIR := /lib/modules/$(KERNEL_VERSION)
KDIR := $(MDIR)/build
PWD := $(shell pwd)

obj-m += asic0x.o

all:
	$(MAKE) -C $(KDIR) M=$(PWD) modules

clean: 
	make -C $(KDIR) M=$(PWD) clean

=== debian/changelog ===
asic0x (1.0.1-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1381523)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 15 Oct 2014 18:20:07 +0200

asic0x (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #758281).

 -- Graham Inggs <graham@nerve.org.za>  Sun, 21 Sep 2014 11:15:26 +0200

=== debian/control ===
Source: asic0x
Section: kernel
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Build-Depends: debhelper (>= 9), dkms (>= 2.1.1.1)
Standards-Version: 3.9.5
Homepage: https://github.com/lourenssteyn/asic0x
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/asic0x.git
Vcs-Git: git://anonscm.debian.org/collab-maint/asic0x.git

Package: asic0x-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: ppp
Suggests: pppoeconf
Description: iBurst USB modem driver in DKMS format
 This package builds the iBurst USB modem driver using DKMS.
 .
 This driver provides support for Kyocera iBurst / ArrayComm
 User Terminal USB (UTU) and User Terminal Desktop (UTD) modems
 connected via USB.
 .
 This driver creates an interface named "ethX", where X depends on
 what other networking devices you have in use.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)-.*,\1,p')

%:
	dh $@ --with dkms

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms:
	dh_install asic0x.c Makefile usr/src/asic0x-$(VERSION)
	dh_dkms -V $(VERSION)
